Bug 1121711 - Designer cannot parse bpmn2 file
Summary: Designer cannot parse bpmn2 file
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss BPMS Platform 6
Classification: Retired
Component: jBPM Designer
Version: 6.0.2
Hardware: x86_64
OS: Windows
high
high
Target Milestone: ER3
: 6.1.0
Assignee: Tihomir Surdilovic
QA Contact: Sona Mala
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 16:40 UTC by Phil Simpson
Modified: 2018-01-30 23:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)
BPMN parse failure (29.47 KB, text/plain)
2014-07-21 16:40 UTC, Phil Simpson
no flags Details

Description Phil Simpson 2014-07-21 16:40:08 UTC
Created attachment 919691 [details]
BPMN parse failure

Description of problem:
The attached bpmn file was created with the process designer, but causes an illegal argument exception when parsing:

unable to parse xml : Exception class java.lang.IllegalArgumentException : Interface name is required attribute

column 0
line  -1



Version-Release number of selected component (if applicable):
6.0.2

How reproducible:
always

Steps to Reproduce:
1. import attached bpmn file
2. view error log
3.

Actual results:


Expected results:


Additional info:

Comment 2 Jeremy Lindop 2014-11-25 11:39:26 UTC
Fixed by setting default values for interface and operation on the ServiceTask and the interface objects when the BP is saved.

master: https://github.com/droolsjbpm/jbpm-designer/commit/dc62f34c627b2af4848c67bbdfd64c582bd09ab6
6.2.x:  https://github.com/droolsjbpm/jbpm-designer/commit/39c1e64d2f5e7667eac7515a36fa77239786f72b

Comment 3 Sona Mala 2014-12-16 10:55:08 UTC
it seems that import is successful, now (6.1.0 ER3).


Note You need to log in before you can comment on or make changes to this bug.